//---------------------------------------------------------------------------

#ifndef cfgmsgdlgsH
#define cfgmsgdlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include "global.h"
//---------------------------------------------------------------------------
void __fastcall ManageNymConfigMessages(TForm *Owner);

class TCfgMsgDlg : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TBevel *Bevel1;
	TButton *OkBtn;
	TListView *ListView;
	TButton *CreateBtn;
	TButton *DeleteBtn;
	TButton *ChangeBtn;
	TLabel *Label2;
	TButton *HelpBtn;
	void __fastcall ListViewClick(TObject *Sender);
	void __fastcall CreateBtnClick(TObject *Sender);
	void __fastcall DeleteBtnClick(TObject *Sender);
	void __fastcall ChangeBtnClick(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    bool maskgpgver;
	__fastcall TCfgMsgDlg(TComponent* Owner);
	//void __fastcall GetPGPKeyID(AnsiString &emailaddress);
	//void __fastcall GetPGPKeyBlock(const AnsiString &nym, TStrings *block);
	void __fastcall GenerateGhioCreateNymConfigMessage(const AnsiString &nym, TStrings *subject);
	void __fastcall GenerateGhioDeleteNymConfigMessage(const AnsiString &nym, TStrings *subject);
	void __fastcall GenerateZaxCreateNymConfigMessage(const AnsiString &nym, TStrings *subject);
	void __fastcall GenerateZaxDeleteNymConfigMessage(const AnsiString &nym, TStrings *subject);
	void __fastcall GenerateGhioChangeKeyNymConfigMessage(const AnsiString &nym, TStrings *subject);
	void __fastcall GenerateZaxChangeKeyNymConfigMessage(const AnsiString &nym, TStrings *subject);
	void __fastcall ReportDefGhioNymserver(const AnsiString &domain);
	void __fastcall ReportDefZaxNymserver(const AnsiString &domain);
	void __fastcall ReportBadNymserver(const AnsiString &domain);
	// message functions
	void __fastcall WMShowStatus(TMessage &Msg);
	BEGIN_MESSAGE_MAP
	MESSAGE_HANDLER(WM_SHOWSTATUS, TMessage, WMShowStatus)
	END_MESSAGE_MAP(TForm)
};

//---------------------------------------------------------------------------
extern PACKAGE TCfgMsgDlg *CfgMsgDlg;
//---------------------------------------------------------------------------
#endif
